Subject: Re: bug#25332: [PATCH] Change while loops to for loops.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jan 2017 10:30:12 +0200

tags 25332 notabug
close 25332
thanks

> From: Chris Gregory <[email-masked]>
> Date: Mon, 02 Jan 2017 00:26:07 -0800
> 
> This patch changes while loops to for loops to make the code more
> consistent.

I don't think I understand the rationale.  Why is using 'while'
inconsistent?

In any case, please don't bother making style changes in ralloc.c, as
that file should almost never be used in Emacs, except in some
marginal configurations, and we actually would like to get rid of it
altogether.  It's therefore a waste of effort to try to make its style
better.